VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
ICloudProvider Interface Reference
Inheritance diagram for ICloudProvider:

## Public Member Functions
void | getPropertyDescription (in wstring name, [retval] out wstring description)
void | createProfile (in wstring profileName, in wstring[] names, in wstring[] values)
| Creates a new profile.
void | importProfiles ()
| Import the profiles from the original source.
void | restoreProfiles ()
| Restores the old local profiles if they exist.
void | saveProfiles ()
| Saves the local profiles.
void | getProfileByName (in wstring profileName, [retval] out ICloudProfile profile)
void | prepareUninstall ()
| The caller requests the cloud provider to cease operation.

## Public Attributes
readonly attribute wstring | name
| Returns the long name of the provider.
readonly attribute wstring | shortName
| Returns the short name of the provider.
readonly attribute wstringUUID | id
| Returns the UUID of this cloud provider.
readonly attribute ICloudProfile[] | profiles
| Returns all profiles for this cloud provider.
readonly attribute wstring[] | profileNames
| Returns all profile names for this cloud provider.
readonly attribute wstring[] | supportedPropertyNames
| Returns the supported property names.

## Member Function Documentation

## ◆ getPropertyDescription()

void ICloudProvider::getPropertyDescription | ( | in wstring | name,
|  | [retval] out wstring | description
| ) |  |

## ◆ createProfile()

void ICloudProvider::createProfile | ( | in wstring | profileName,
|  | in wstring[] | names,
|  | in wstring[] | values
| ) |  |

Creates a new profile.

Parameters

  profileName | The profile name. Must not exist, otherwise an error is raised.
  names | Names of properties.
  values | Values of set properties.

## ◆ importProfiles()

void ICloudProvider::importProfiles | ( |  | ) |

Import the profiles from the original source.

## ◆ restoreProfiles()

void ICloudProvider::restoreProfiles | ( |  | ) |

Restores the old local profiles if they exist.

## ◆ saveProfiles()

void ICloudProvider::saveProfiles | ( |  | ) |

Saves the local profiles.

## ◆ getProfileByName()

void ICloudProvider::getProfileByName | ( | in wstring | profileName,
|  | [retval] out ICloudProfile | profile
| ) |  |

## ◆ prepareUninstall()

void ICloudProvider::prepareUninstall | ( |  | ) |

The caller requests the cloud provider to cease operation.

Should return an error if this is currently not possible (due to ongoing cloud activity, possibly by a different API client). However, this must not wait for the completion for a larger amount of time (ideally stays below a second of execution time). If this succeeds it should leave the cloud provider in a state which does not allow starting new operations.

## Member Data Documentation

## ◆ name

readonly attribute wstring ICloudProvider::name

Returns the long name of the provider.

Includes vendor and precise product name spelled out in the preferred way.

## ◆ shortName

readonly attribute wstring ICloudProvider::shortName

Returns the short name of the provider.

Less than 8 ASCII chars, using acronyms. No vendor name, but can contain a hint if it's a 3rd party implementation for this cloud provider, to keep it unique.

## ◆ id

readonly attribute wstringUUID ICloudProvider::id

Returns the UUID of this cloud provider.

## ◆ profiles

readonly attribute ICloudProfile [] ICloudProvider::profiles

Returns all profiles for this cloud provider.

## ◆ profileNames

readonly attribute wstring [] ICloudProvider::profileNames

Returns all profile names for this cloud provider.

## ◆ supportedPropertyNames

readonly attribute wstring [] ICloudProvider::supportedPropertyNames

Returns the supported property names.